Subject: Re: QType: ADDR

From: "Kandra Nygards" <[email-masked]>
Date: Thu, 8 Aug 2002 10:25:17 +0200 (CEST)

> Just a thought occurs...
>
> Instead of having a new query type 'addr', could we just define that
> AAAA query returns both IPv4 and IPv6 addresses? (And if you want
> uniform format in reply, put IPv4 addresses into IPv4 mapped format)

If I ask for MX, I want MX as the response. If I ask for AAAA, I want AAAA
in the answer. An option could be to respond to AAAA-queries with A in the
additional section, but that might also not be desirable, depending on
your milage.

Best regards,
Kandra Nygards

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>